<div class="ibox-form-container mb-0">

  <div class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">
      <ng-container *ngIf="accountData?.viewMode">
        {{"BREADCRUMBS.CONTACT_MANAGEMENT.SHOW_CONTACT"|translate}}
      </ng-container>
      <ng-container *ngIf="!accountData?.viewMode">
        {{"BREADCRUMBS.CONTACT_MANAGEMENT.EDIT_CONTACT"|translate}}
      </ng-container>
      <!--      {{"ACCOUNT_DETAILS.CONTACT.TITLE2"|translate}}-->
    </div>
  </div>

  <div class="ibox-filter mt-2 py-2">
    <ng-container *ngIf="loading">
      <div class="mx-auto text-center">
        <em class="fa fa-spinner fa-spin fa-2x"></em>
      </div>
    </ng-container>

    <ng-container *ngIf="!loading">

      <div class="col data-table-container px-0">
        <table class="table table-sm table-hover mb-0">
          <thead>
          <tr>
            <th>{{'COLUMNS.CONTACT_AFFECT.CODE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.NOM'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.PRENOM'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.MOBILE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.EMAIL'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.CODE_POSTALE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.VILLE'|translate}}</th>
          </tr>
          </thead>
          <tbody>
          <tr>
            <td>{{accountData?.contact?.code}}</td>
            <td>{{accountData?.contact['nom']}}</td>
            <td>{{accountData?.contact['prenom']}}</td>
            <td>{{accountData?.contact?.mobile1}}</td>
            <td>{{accountData?.contact?.email}}</td>
            <td>{{accountData?.contact?.codePostale}}</td>
            <td>{{accountData?.contact?.ville}}</td>
          </tr>
          </tbody>
        </table>

        <hr>
      </div>

      <form class="col-12" [formGroup]="compteContactForm"
            (ngSubmit)="onSubmit()" autocomplete="off">

        <div class="row">

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="descriptionContact"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.DESCRIPTION'|translate">
            <div *ngIf="compteContactForm?.get('descriptionContact').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('descriptionContact').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm?.get('descriptionContact').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="role"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.ROLE'|translate">
            <div *ngIf="compteContactForm?.get('role').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('role').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm.get('role').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="qualite"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.QUALITE'|translate">
            <div *ngIf="compteContactForm?.get('qualite').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('qualite').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm.get('qualite').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

        </div>

        <div class="row mt-2">

          <div class="col-md-6">
            <input type="text" class="form-control form-control-sm" formControlName="dateDebutQualite"
                   [placeholder]="'FIELD.COMPTE_CONTACT.DATE_DEBUT_QUALITE'|translate"
                   [owlDateTime]="dt" [max]="compteContactForm?.get('dateFinQualite')?.value">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                  [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
            <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>
          </div>

          <div class="col-md-6">
            <input type="text" class="form-control form-control-sm" formControlName="dateFinQualite"
                   [placeholder]="'FIELD.COMPTE_CONTACT.DATE_FIN_QUALITE'|translate"
                   [owlDateTime]="dt2" [min]="compteContactForm?.get('dateDebutQualite')?.value">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt2"
                  [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
            <owl-date-time #dt2 [pickerType]="'calendar'"></owl-date-time>
          </div>

        </div>

        <div class="row mt-2">

          <div class="col-md-6">
            <input type="number" class="form-control form-control-sm" formControlName="pourcentageCapital"
                   [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_CAPITAL'|translate">
          </div>

          <div class="col-md-6">
            <input type="number" class="form-control form-control-sm" formControlName="pourcentageDroitVote"
                   [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_DROIT'|translate">
          </div>

        </div>

        <div class="row mt-2">
          <div class="text-right col">
            <button type="button" class="btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate"
                    (click)="closePopup()" [disabled]="loading">{{'FIELD.BUTTONS.CANCEL'|translate}}
            </button>
            <button *ngIf="!accountData?.viewOnly" type="submit" class="btn btn-sm"
                    [title]="'ADD_CONTACT.EDIT'|translate"
                    [disabled]="loading" [ngClass]="accountData?.viewMode?'btn-primary':'btn-success'">
              <span>{{'ADD_CONTACT.EDIT'|translate}}</span>
            </button>
          </div>
        </div>

      </form>

    </ng-container>
  </div>

</div>
